Loading...

Informix Agent: System Requirements

The following requirements are for the Informix Agent.

Informix 12.10 FCx

Operating System

Operating System Version

Architecture

AIX

AIX 7.2 64-bit

Power PC

 

AIX 7.1 64-bit

Power PC

 

AIX 6.1 TL 02 SP00 64-bit or higher

Power PC

HP-UX

HP-UX 11i v3 (11.31) 64-bit

Itanium

Linux

Red Hat Enterprise Linux/CentOS

 

 

Red Hat Enterprise Linux/CentOS 7.x with glibc 2.17.x

x64, Power PC or compatible processors

Power PC is supported only for Informix FC10 or later.

 

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12.x

x64 or compatible processors

 

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

x64 or compatible processors

 

SuSE Linux (SLES)

 

 

SuSE Linux 12.x SP1 Enterprise Server with glibc 2.19-31 or later

Power PC, Power PC (Little endian)

Power PC is supported only for Informix FC10 or later.

 

SuSE Linux 12.x with glibc 2.19.x

x64 or compatible processors

 

SuSE Linux 11.x with glibc 2.9.x and later

x64 or compatible processors

Solaris

Solaris 11.x

x64, Sparc T/M series

 

Solaris 10 Update 6 or equivalent

Sparc T/M series

Windows

Windows Server 2012

 

 

Microsoft Windows Server 2012 R2 Editions*

*Core Editions are not supported.

 

 

Microsoft Windows Server 2012 Editions*

*Core Editions are not supported.

 

 

Windows 2008

 

 

Microsoft Windows Server 2008 x64 Editions*

*Core Editions are not supported.

 

Informix 12.10 TCx

Operating System

Operating System Version

Architecture

Windows

Windows 2012

 

 

Microsoft Windows Server 2012 R2 Editions*

*Core Editions are not supported.

 

 

Microsoft Windows Server 2012 Editions*

*Core Editions are not supported.

 

 

Windows Server 2008

 

 

Microsoft Windows Server 2008 x64 Editions*

*Core Editions are not supported.

 

Informix 12.10 UCx

Operating System

Operating System Version

Architecture

Linux

Red Hat Enterprise Linux/CentOS

 

 

Red Hat Enterprise Linux/CentOS 7.x with glibc 2.17.x

x86, x64 or compatible processors

*See "Consideration for Installing 32-bit Informix on 64-bit Linux" at the bottom of this page.

 

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12.x

x86, x64 or compatible processors

*See "Consideration for Installing 32-bit Informix on 64-bit Linux" at the bottom of this page.

 

SuSE Linux (SLES)

 

 

SuSE Linux 12.x with glibc 2.19.x

x86, x64 or compatible processors

*See "Consideration for Installing 32-bit Informix on 64-bit Linux" at the bottom of this page.

 

SuSE Linux 11.x with glibc 2.9.x and later

x86, x64 or compatible processors

*See "Consideration for Installing 32-bit Informix on 64-bit Linux" at the bottom of this page.

Informix 11.70 FCx

Operating System

Operating System Version

Architecture

AIX

AIX 7.2 64-bit

Power PC

 

AIX 7.1 64-bit

Power PC

 

AIX 6.1 TL 02 SP00 64-bit or higher

Power PC

HP-UX

HP-UX 11i v3 (11.31) 64-bit

Itanium

 

HP-UX 11i v2 (11.23) 64-bit

Itanium

Linux

Red Hat Enterprise Linux

 

 

Red Hat Enterprise Linux 6 with glibc 2.12.x

x64 or compatible processors

 

Red Hat Enterprise Linux/CentOS

 

 

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12.x

x64 or compatible processors

 

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

x64 or compatible processors

 

SuSE Linux (SLES)

 

 

SuSE Linux 11.x with glibc 2.9.x and later

x64 or compatible processors

Solaris

Solaris 11.x

x64, Sparc T/M series

 

Solaris 10 Update 6 or equivalent

Sparc T/M series

Windows

Windows 2012

 

 

Microsoft Windows Server 2012 R2 Editions*

*Core Editions are not supported.

 

 

Microsoft Windows Server 2012 Editions*

*Core Editions are not supported

 

 

Windows 8

 

 

Microsoft Windows Server 2008 x64 Editions

 

Informix 11.70UCx

Operating System

Operating System Version

Architecture

Linux

Red Hat Enterprise Linux/CentOS

 

 

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

x86, x64 or compatible processors

*See "Consideration for Installing 32-bit Informix on 64-bit Linux" at the bottom of this page.

 

SuSE Linux (SLES)

 

 

SuSE Linux 11.x with glibc 2.9.x and later

x86, x64 or compatible processors

*See "Consideration for Installing 32-bit Informix on 64-bit Linux" at the bottom of this page.

Informix 11.70 TCx

Operating System

Operating System Version

Architecture

Windows

Windows 2012

 

 

Microsoft Windows Server 2012 R2 Editions*

*Core Editions are not supported.

 

 

Microsoft Windows Server 2012 Editions*

*Core Editions are not supported.

 

 

Windows Server 2008

 

 

Microsoft Windows Server 2008 32-bit Editions

Core Editions are not supported.

 

Informix 11.50 FCx

Operating System

Operating System Version

Architecture

AIX

AIX 7.2 64-bit

Power PC

 

AIX 7.1 64-bit

Power PC

 

AIX 6.1 TL 02 SP00 64-bit or higher

Power PC

HP-UX

HP-UX 11i v3 (11.31) 64-bit

Itanium

 

HP-UX 11i v2 (11.23) 64-bit

Itanium

Linux

Red Hat Enterprise Linux/CentOS

 

 

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12.x

Supported only for Informix FC4 or later.

x64 or compatible processors

 

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

Supported only for Informix FC4 or later.

x64 or compatible processors

 

SuSE Linux (SLES)

 

 

SuSE Linux 11.x with glibc 2.9.x and later

Supported only for Informix FC4 or later.

 

Solaris

Solaris 10 Update 6 or equivalent

Sparc T/M series

Windows

Windows 2008

 

 

Microsoft Windows Server 2008 R2 x64 Editions

Core Editions are not supported.

 

Informix 11.50 UCx

Operating System

Operating System Version

Architecture

AIX

AIX 7.2 64-bit

Power PC

 

AIX 7.1 64-bit

Power PC

 

AIX 6.1 TL 02 SP00 64-bit or higher

Power PC

Linux

Red Hat Enterprise Linux/CentOS

 

 

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

x86, x64 or compatible processors

*See "Consideration for Installing 32-bit Informix on 64-bit Linux" at the bottom of this page.

 

SuSE Linux (SLES)

 

 

SuSE Linux 11.x with glibc 2.9.x and later

Informix UC4 or higher

x86, x64 or compatible processors

*See "Consideration for Installing 32-bit Informix on 64-bit Linux" at the bottom of this page.

Solaris

Solaris 10 Update 6 or equivalent

Sparc T/M series

Informix 11.50 HCx

Operating System

Operating System Version

Architecture

HP-UX

HP-UX 11i v3 (11.31)

 

 

HP-UX 11i v2 (11.23) 64-bit

 

Informix 11.50 TC

Operating System

Operating System Version

Architecture

Windows

Windows 2008

 

 

Microsoft Windows Server 2008 32-bit Editions

Core Editions are not supported.

 

Informix XPS 8.51 FCx

Operating System

Operating System Version

Architecture

AIX

AIX 6.1 TL 02 SP00 64-bit or higher

Power PC

Linux

Red Hat Enterprise Linux

 

 

Red Hat Enterprise Linux 5.x with glibc 2.5.x

x64 or compatible processors

Solaris

Solaris 10 Update 6 or equivalent

Sparc T/M series

Cluster - Support

The software can be installed on a Cluster if clustering is supported by the above-mentioned operating systems.

For information on supported cluster types, see Clustering - Support.

Hard Drive

Windows

479 MB minimum of hard disk space for software.

68 MB of free disk space for log files.

68 MB of free disk space for job results.

Linux

742 MB minimum of hard disk space for software.

87 MB of free disk space for log files.

87 MB of free disk space for job results.

Solaris Zones/Containers Support

Data Protection of data residing on global and non-global zones is supported.

For a comprehensive list of supported components, see Unix Virtualization.

AIX LPAR/WPAR Support

Data protection on Logical Partitioning (LPAR) and Workload Partitioning (WPAR) is supported.

Miscellaneous

The File System Agent will be automatically installed during installation of this software, if it is not already installed. For system requirements and install information specific to the File System Agents, see the following:

The operating system must have been installed with at least the user level software option selected.

Supported Libraries for CentOS v5.7 (or higher)

You should use the latest library versions for CentOS 5.7 (or higher) as the library provided by Commvault may not be the latest. Informix programs may require the latest library versions. If not used, the Informix instance configuration will fail with errors such as showing the server status as UNKNOWN.

To use the latest libraries, rename the libgcc_s.so.1 library located in the Software_Installation_Directory>/Base folder to a different name. This will allow Informix programs to load libraries available from the system.

Consideration for Installing 32-bit Informix on 64-bit Linux

To protect a 32-bit Informix Dynamic Server Application on a 64-bit LINUX client, configure the client installation program to install 32-bit agents.

For information on how to perform this operation, see Enabling 32-Bit Installations on 64-Bit Linux Computers.

Power PC Processor Support

Commvault supports both of the 64-bit Power PC architectures, ppc64 (or "Big Endian") and ppc64le (or "Little Endian"). For SuSE Linux, the ppc64le Power PC architecture is supported on SuSE Linux 12 SP1 Enterprise Server or higher.

DISCLAIMER

Third-party maintenance (minor) releases or service packs that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or service packs. In some cases, these minor releases or service packs affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or service pack. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or service packs are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.

Last modified: 9/5/2018 7:45:24 PM